diff a/build.gradle b/build.gradle
--- a/build.gradle
+++ b/build.gradle
@@ -41,13 +41,16 @@
             url System.getProperty('maven.url', 'https://repo.maven.apache.org/maven2/')
         }
     }
 
     dependencies {
-        testImplementation 'org.junit.jupiter:junit-jupiter-api:5.3.1'
-        testImplementation 'org.junit.jupiter:junit-jupiter-params:5.3.1'
-        testRuntimeOnly 'org.junit.jupiter:junit-jupiter-engine:5.3.1'
+        testImplementation 'org.junit.jupiter:junit-jupiter-api:5.5.1'
+        testImplementation 'org.junit.jupiter:junit-jupiter-params:5.5.1'
+        testRuntimeOnly 'org.junit.jupiter:junit-jupiter-engine:5.5.1'
+        // Force Gradle to load the JUnit Platform Launcher from the module-path, as
+        // configured in buildSrc/.../ModulePlugin.java -- see SKARA-69 for details.
+        testRuntimeOnly 'org.junit.platform:junit-platform-launcher:1.5.1'
     }
 
     test {
         useJUnitPlatform()
 
diff a/jcheck/build.gradle b/jcheck/build.gradle
--- a/jcheck/build.gradle
+++ b/jcheck/build.gradle
@@ -23,10 +23,11 @@
 
 module {
     name = 'org.openjdk.skara.jcheck'
     test {
         requires 'org.junit.jupiter.api'
+        requires 'org.junit.jupiter.params'
         requires 'org.openjdk.skara.test'
         opens 'org.openjdk.skara.jcheck' to 'org.junit.platform.commons'
     }
 }
 
diff a/storage/build.gradle b/storage/build.gradle
--- a/storage/build.gradle
+++ b/storage/build.gradle
@@ -23,10 +23,11 @@
 
 module {
     name = 'org.openjdk.skara.storage'
     test {
         requires 'org.junit.jupiter.api'
+        requires 'org.junit.jupiter.params'
         opens 'org.openjdk.skara.storage' to 'org.junit.platform.commons'
     }
 }
 
 dependencies {
diff a/vcs/build.gradle b/vcs/build.gradle
--- a/vcs/build.gradle
+++ b/vcs/build.gradle
@@ -24,10 +24,11 @@
 module {
     name = 'org.openjdk.skara.vcs'
     test {
         requires 'org.openjdk.skara.test'
         requires 'org.junit.jupiter.api'
+        requires 'org.junit.jupiter.params'
         opens 'org.openjdk.skara.vcs' to 'org.junit.platform.commons'
         opens 'org.openjdk.skara.vcs.openjdk' to 'org.junit.platform.commons'
         opens 'org.openjdk.skara.vcs.openjdk.converter' to 'org.junit.platform.commons'
     }
 }
diff a/webrev/build.gradle b/webrev/build.gradle
--- a/webrev/build.gradle
+++ b/webrev/build.gradle
@@ -23,10 +23,11 @@
 
 module {
     name = 'org.openjdk.skara.webrev'
     test {
         requires 'org.junit.jupiter.api'
+        requires 'org.junit.jupiter.params'
         requires 'org.openjdk.skara.test'
         opens 'org.openjdk.skara.webrev' to 'org.junit.platform.commons'
     }
 }
 
